Bug 1285119 - Caught RestClient::InternalServerError:500 Internal Server Error while processing CSV line
Caught RestClient::InternalServerError:500 Internal Server Error while proces...
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Transitions (Show other bugs)
6.1.3
All Linux
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Adam Price
Lukas Pramuk
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-24 17:19 EST by pnarang
Modified: 2017-08-21 16:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-15 11:01:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description pnarang 2015-11-24 17:19:20 EST
Description of problem: While importing Satellite 5 data into Satellite 6, hammer reports errors during the import. Details are below.


Version-Release number of selected component (if applicable):

Satellite Version 6.1.3
hammer (0.1.4.13)
 * hammer_cli_csv (unknown version)
 * hammer_cli_foreman (0.1.4.14)
 * hammer_cli_foreman_bootdisk (0.1.2.7)
 * hammer_cli_foreman_discovery (0.0.1.10)
 * hammer_cli_foreman_docker (unknown version)
 * hammer_cli_gutterball (0.0.1.3)
 * hammer_cli_import (0.10.20)
 * hammer_cli_katello (0.0.7.18)


How reproducible: All the time


Steps to Reproduce:
1. Run hammer import all against an export from Satellite 5
2.
3.

Actual results:
hammer import all --directory=/tmp/exports
Import organization         with arguments --csv-file /tmp/exports/users.csv
[Foreman] Username: admin
[Foreman] Password for admin:
Caught RestClient::InternalServerError:500 Internal Server Error while processing CSV line:
{"organization_id"=>"1", "organization"=>"Zebra Technologies Inc."}
Caught RestClient::InternalServerError:500 Internal Server Error while processing CSV line:
{"organization_id"=>"1", "organization"=>"Zebra Technologies Inc."}
Caught RestClient::InternalServerError:500 Internal Server Error while processing CSV line:
{"organization_id"=>"1", "organization"=>"Zebra Technologies Inc."}
Caught RestClient::InternalServerError:500 Internal Server Error while processing CSV line:
{"organization_id"=>"1", "organization"=>"Zebra Technologies Inc."}
Caught RestClient::InternalServerError:500 Internal Server Error while processing CSV line:
{"organization_id"=>"1", "organization"=>"Zebra Technologies Inc."}
Caught RestClient::InternalServerError:500 Internal Server Error while processing CSV line:
{"organization_id"=>"1", "organization"=>"Zebra Technologies Inc."}
Caught RestClient::InternalServerError:500 Internal Server Error while processing CSV line:
{"organization_id"=>"1", "organization"=>"Zebra Technologies Inc."}
Caught RestClient::InternalServerError:500 Internal Server Error while processing CSV line:
{"organization_id"=>"1", "organization"=>"Zebra Technologies Inc."}
Caught RestClient::InternalServerError:500 Internal Server Error while processing CSV line:
{"organization_id"=>"1", "organization"=>"Zebra Technologies Inc."}
Caught RestClient::InternalServerError:500 Internal Server Error while processing CSV line:
{"organization_id"=>"1", "organization"=>"Zebra Technologies Inc."}
Caught RestClient::InternalServerError:500 Internal Server Error while processing CSV line:
{"organization_id"=>"1", "organization"=>"Zebra Technologies Inc."}
Summary
  No action taken.
Import user                 with arguments --csv-file /tmp/exports/users.csv --new-passwords passwords_2015-11-18T20:51:41+0000.csv
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Summary
  No action taken.
Import host-collection      with arguments --csv-file /tmp/exports/system-groups.csv
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Summary
  No action taken.
Import repository-enable    with arguments --csv-file /tmp/exports/channels.csv
Summary
  No action taken.
Import repository           with arguments --csv-file /tmp/exports/repositories.csv
Unable to import, first import organization with id 1
Summary
  No action taken.
Import content-view         with arguments --csv-file /tmp/exports/CHANNELS/export.csv --dir /tmp/exports/CHANNELS
No such {redhat_,}content_view: 101
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
No such {redhat_,}content_view: 101
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
No such {redhat_,}content_view: 102
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Summary
  No action taken.
Import activation-key       with arguments --csv-file /tmp/exports/activation-keys.csv
Summary
  No action taken.
Import template-snippet     with arguments --csv-file /tmp/exports/kickstart-scripts.csv
Summary
  Created 1 template snippet.
Import config-file          with arguments --csv-file /tmp/exports/config-files-latest.csv
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Unable to import, first import organization with id 1
Writing converted files
Building and uploading puppet modules
Summary
  No action taken.
Import content-host         with arguments --csv-file /tmp/exports/system-profiles.csv --export-directory /root/rpm-working-dir
Unable to import, first import content view with id 160
Unable to import, first import content view with id 158
Unable to import, first import content view with id 120
Unable to import, first import content view with id 120
Unable to import, first import content view with id 120
Unable to import, first import content view with id 105
Unable to import, first import content view with id 120
Unable to import, first import content view with id 120
Unable to import, first import content view with id 120
Unable to import, first import content view with id 120
Unable to import, first import content view with id 120
Unable to import, first import content view with id 120
Unable to import, first import content view with id 120
Unable to import, first import content view with id 120
Unable to import, first import content view with id 120
Unable to import, first import content view with id 120
Unable to import, first import content view with id 120
Unable to import, first import content view with id 120
Unable to import, first import content view with id 120
Unable to import, first import content view with id 120
Unable to import, first import content view with id 120
Unable to import, first import content view with id 120
Unable to import, first import content view with id 120
Unable to import, first import content view with id 120
Unable to import, first import content view with id 160
Unable to import, first import content view with id 160
Unable to import, first import content view with id 160
Unable to import, first import content view with id 160
Unable to import, first import content view with id 160
Unable to import, first import content view with id 160
Unable to import, first import content view with id 160
Unable to import, first import content view with id 160
Unable to import, first import content view with id 160
Unable to import, first import content view with id 160
Unable to import, first import content view with id 160
Unable to import, first import content view with id 160
Unable to import, first import content view with id 160
Unable to import, first import content view with id 160
Unable to import, first import content view with id 160
Unable to import, first import content view with id 160
Unable to import, first import content view with id 160
Unable to import, first import content view with id 160
Unable to import, first import content view with id 160
Unable to import, first import content view with id 160
Unable to import, first import content view with id 160
Unable to import, first import content view with id 160
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 160
Unable to import, first import content view with id 160
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 160
Unable to import, first import content view with id 160
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 160
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 160
Unable to import, first import content view with id 160
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 160
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 160
Unable to import, first import content view with id 160
Unable to import, first import content view with id 160
Unable to import, first import content view with id 160
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 120
Unable to import, first import content view with id 120
Unable to import, first import content view with id 158
Unable to import, first import content view with id 120
Unable to import, first import content view with id 120
Unable to import, first import content view with id 120
Unable to import, first import content view with id 120
Unable to import, first import content view with id 120
Unable to import, first import content view with id 120
Unable to import, first import content view with id 120
Unable to import, first import content view with id 120
Unable to import, first import content view with id 120
Unable to import, first import content view with id 120
Unable to import, first import content view with id 120
Unable to import, first import content view with id 120
Unable to import, first import content view with id 120
Unable to import, first import content view with id 120
Unable to import, first import content view with id 120
Unable to import, first import content view with id 120
Unable to import, first import content view with id 120
Unable to import, first import content view with id 120
Unable to import, first import content view with id 104
Unable to import, first import content view with id 104
Unable to import, first import content view with id 115
Unable to import, first import content view with id 152
Unable to import, first import content view with id 152
Unable to import, first import content view with id 152
Unable to import, first import content view with id 152
Unable to import, first import content view with id 152
Unable to import, first import content view with id 152
Unable to import, first import content view with id 115
Unable to import, first import content view with id 152
Unable to import, first import content view with id 115
Unable to import, first import content view with id 115
Unable to import, first import content view with id 115
Unable to import, first import content view with id 115
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 152
Unable to import, first import content view with id 158
Unable to import, first import content view with id 115
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 115
Unable to import, first import content view with id 115
Unable to import, first import content view with id 115
Unable to import, first import content view with id 115
Unable to import, first import content view with id 115
Unable to import, first import content view with id 120
Unable to import, first import content view with id 120
Unable to import, first import content view with id 152
Unable to import, first import content view with id 158
Unable to import, first import content view with id 160
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 124
Unable to import, first import content view with id 158
Unable to import, first import content view with id 124
Unable to import, first import content view with id 124
Unable to import, first import content view with id 120
Unable to import, first import content view with id 120
Unable to import, first import content view with id 120
Unable to import, first import content view with id 120
Unable to import, first import content view with id 125
Unable to import, first import content view with id 125
Unable to import, first import content view with id 152
Unable to import, first import content view with id 123
Unable to import, first import content view with id 123
Unable to import, first import content view with id 158
Unable to import, first import content view with id 123
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 123
Unable to import, first import content view with id 123
Unable to import, first import content view with id 123
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 123
Unable to import, first import content view with id 123
Unable to import, first import content view with id 123
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 160
Unable to import, first import content view with id 160
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 160
Unable to import, first import content view with id 160
Unable to import, first import content view with id 160
Unable to import, first import content view with id 160
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 120
Unable to import, first import content view with id 152
Unable to import, first import content view with id 160
Unable to import, first import content view with id 160
Unable to import, first import content view with id 160
Unable to import, first import content view with id 160
Unable to import, first import content view with id 158
Unable to import, first import content view with id 160
Unable to import, first import content view with id 160
Unable to import, first import content view with id 160
Unable to import, first import content view with id 160
Unable to import, first import content view with id 160
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158
Unable to import, first import content view with id 158

Expected results:


Additional info:
Comment 1 Bryan Kearney 2016-01-12 13:37:47 EST
Is it possible to attach the data you are trying to import? And, can you please run foreman-debug ont he host to collect the logs?
Comment 2 pnarang 2016-01-12 17:05:09 EST
A Red Hat Premium Support Case [Severity 2] is open (Case ID  01541656) and has been open since November 18, 2015. That has all the data and foreman-debug output. I am going to go ahead and attach the same here as well.
Comment 3 pnarang 2016-01-12 17:33:09 EST
A Red Hat Premium Support Case [Severity 2] is open (Case ID  01541656) and has been open since November 18, 2015. That has all the data and foreman-debug output.
Comment 4 Bryan Kearney 2016-07-26 15:09:46 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 5 Bryan Kearney 2017-08-15 11:01:01 EDT
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in product in the forseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Note You need to log in before you can comment on or make changes to this bug.